services:
    Claroline\CursusBundle\Manager\CourseManager:
        arguments:
            - '@translator'
            - '@Claroline\AppBundle\Persistence\ObjectManager'
            - '@Claroline\AppBundle\API\Crud'
            - '@Claroline\AppBundle\API\SerializerProvider'
            - '@Claroline\AppBundle\API\FinderProvider'
            - '@Claroline\AppBundle\Manager\PlatformManager'
            - '@Claroline\CoreBundle\Manager\Template\TemplateManager'
            - '@Claroline\CursusBundle\Manager\SessionManager'

    Claroline\CursusBundle\Manager\SessionManager:
        arguments:
            - '@event_dispatcher'
            - '@translator'
            - '@Claroline\AppBundle\Persistence\ObjectManager'
            - '@router'
            - '@Claroline\AppBundle\API\Crud'
            - '@Claroline\AppBundle\API\SerializerProvider'
            - '@Claroline\AppBundle\Manager\PlatformManager'
            - '@Claroline\CoreBundle\Manager\RoleManager'
            - '@Claroline\CoreBundle\Library\RoutingHelper'
            - '@Claroline\CoreBundle\Manager\Template\TemplateManager'
            - '@Claroline\CoreBundle\Manager\Workspace\WorkspaceManager'
            - '@Claroline\CursusBundle\Manager\EventManager'

    Claroline\CursusBundle\Manager\EventManager:
        arguments:
            - '@event_dispatcher'
            - '@Claroline\AppBundle\Persistence\ObjectManager'
            - '@router'
            - '@Claroline\CoreBundle\Library\ICS\ICSGenerator'
            - '@Claroline\CoreBundle\Manager\Template\TemplateManager'
            - '@security.token_storage'
            - '@Claroline\AppBundle\Event\StrictDispatcher'
            - '@Claroline\CoreBundle\Manager\PlanningManager'
            - '@Claroline\CursusBundle\Manager\EventPresenceManager'

    Claroline\CursusBundle\Manager\EventPresenceManager:
        arguments:
            - '@translator'
            - '@Claroline\AppBundle\Persistence\ObjectManager'
            - '@Claroline\CoreBundle\Manager\Template\TemplateManager'
